Finds Preview Configuration URL value based on provided Key.
1 min
GET
https://api.upstartcommerce.com/pim/preview/{key}/configuration
keystringThis is the preview configuration key that will be used in search criteria.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site.
x-upstart-sitestringThe site identifier.
200Configuration with given Key returned successfully.
304This is used to indicate that the client's cached copy of a resource is not yet modified. Resource is valid and can be used instead of requesting a new copy from the server.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found in the NoChannel system.
405This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
406This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.
defaultThis is the default internal server error. System was not able to process this request.
curl --request GET \
--url https://api.upstartcommerce.com/pim/preview/{key}/configuration \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'